javax.jms

## Class MessageNotWriteableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.jms.JMSException
      - - javax.jms.MessageNotWriteableException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    MessageNotWriteableException

      public class MessageNotWriteableException
      extends JMSException

  This exception must be thrown when a JMS client attempts to write to a read-only message.

  Since:
    JMS 1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageNotWriteableException(String reason)` Constructs a `MessageNotWriteableException` with the specified reason.
    `MessageNotWriteableException(String reason, String errorCode)` Constructs a `MessageNotWriteableException` with the specified reason and error code.

  - ### Method Summary

    - ### Methods inherited from class javax.jms.JMSException

      `getErrorCode, getLinkedException, setLinkedException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MessageNotWriteableException

          public MessageNotWriteableException(String reason,
                                      String errorCode)

      Constructs a `MessageNotWriteableException` with the specified reason and error code.
      Parameters:
        `reason` - a description of the exception
        `errorCode` - a string specifying the vendor-specific error code

    - #### MessageNotWriteableException

          public MessageNotWriteableException(String reason)

      Constructs a `MessageNotWriteableException` with the specified reason. The error code defaults to null.
      Parameters:
        `reason` - a description of the exception

Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.